%define		_class		Text
%define		_subclass	Wiki_Mediawiki
%define		upstream_name	%{_class}_%{_subclass}

Name:		php-pear-%{upstream_name}
Version:	0.2.0
Release:	%mkrel 7
Summary:	Mediawiki parser for Text_Wiki
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/Text_Wiki/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear

%description
Parses Mediawiki mark-up to tokenize the text for Text_Wiki renderings.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/docs
rm -rf %{buildroot}%{_datadir}/pear/tests

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml




%changelog
* Sat Feb 06 2016 umeabot <umeabot> 0.2.0-7.mga6
+ Revision: 941007
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-6.mga5
+ Revision: 741551
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.0-5.mga5
+ Revision: 687496
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.0-4.mga4
+ Revision: 517254
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2.0-3.mga3
+ Revision: 377366
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 29 2011 spuhler <spuhler> 0.2.0-2.mga1
+ Revision: 44381
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Text_Wiki_Mediawiki


* Wed Oct 20 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.0-2mdv2011.0
+ Revision: 587006
- proper summary and description

* Wed Oct 20 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.0-1mdv2011.0
+ Revision: 586978
- import php-pear-Text_Wiki_Mediawiki

